Subject: Re: Yangdoctors early review of draft-ietf-rtgwg-routing-types-04

From: Radek Krejčí <[email-masked]>
Date: Mon, 12 Jun 2017 08:32:35 +0200

Hi Acee,

sorry for the delay. I've checked the changes and the document as well as both the modules seem fine to me now.

Regards,
Radek

Dne 24.5.2017 v 18:23 Acee Lindem (acee) napsal(a):
> Hi Radek, 
>
> I believe I have addressed your YANG Doctor comments in the -05 version of
> the draft. I used the template in RFC6087Bis, Appendix C which resulted in
> some reorganization of ietf-routing-types.
>
> Thanks,
> Acee 
>
> On 5/24/17, 6:45 AM, "Radek Krejčí" <[email-masked]> wrote:
>
>> Reviewer: Radek Krejčí
>> Review result: Ready with Nits
>>
>> I have reviewed changes made to draft-ietf-rtgwg-routing-types between
>> revision 02 and 04 (04 was published just a week after 03). The main
>> change is splitting the module into 2 modules: ietf-routing-types and
>> iana-routing-types.
>>
>> iana-routing-types:
>> - since it is IANA-maintained module, IANA should be the 'organization'
>> and also the 'contact' value should be changed accordingly (see
>> iana-if-type)
>>
>> ietf-routing-types:
>> - please follow the contact template available in RFC 6087 Appendix B (or
>> RFC6087bis, Appendix C)
>>
>> draft text:
>> - if iana-routing-types is supposed to be IANA-maintained module, isn't
>> IANA also supposed to be XML registrant contact (IANA Considerations
>> section)? 
>> - my fault from previous review - since the module imports
>> ietf-yang-types, it MUST contain reference to its RFC, which is RFC 6991
>> (not RFC 6021 as I wrote in my review). So move RFC 6991 reference from
>> Informative references section into Normative references where it will
>> replace reference to RFC 6021.
>>
>> Radek

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 13 Jun 2017 00:39:23 +0000

Jeff, Chris, 

The authors believe we are ready for a WG last call.

Thanks,
Acee

---

From: Jeff Tantsura <[email-masked]>
Date: Tue, 13 Jun 2017 00:45:26 -0700

Hi Acee,

Thanks, will do.

Regards,
Jeff

> On Jun 12, 2017, at 17:39, Acee Lindem (acee) <[email-masked]> wrote:
> 
> Jeff, Chris, 
>

---

From: Jeff Tantsura <[email-masked]>
Date: Tue, 13 Jun 2017 02:38:16 -0700

Acee,

Please fix nits.
 
Cheers,
Jeff

On 6/13/17, 00:45, "Rtg-dt-yang-arch on behalf of Jeff Tantsura" <[email-masked] on behalf of [email-masked]> wrote:

    Hi Acee,
    
    Thanks, will do.
    
    Regards,
    Jeff
    
    >>>> replace reference to RFC 6021.
    
    _______________________________________________
    Rtg-dt-yang-arch mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/rtg-dt-yang-arch

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 13 Jun 2017 16:58:48 +0000

Hi Jeff, 
Then -05 version fixed most of the nits. I just posted (before the WG
Chairs chat) the 06 version which addressed a couple residual nits. I did
not change 224.0.0.0 - 239.255.255.255 to avoid the non-example IPv4
address warning or move the 2 IANA directory references from Normative to
Informative to get around the “Possible down reference” comments. I view
these as noise.  
Thanks,
Acee 

On 6/13/17, 5:38 AM, "Jeff Tantsura" <[email-masked]> wrote:

>Acee,
>
>Please fix nits.
> 
>Cheers,
>Jeff
> 
>
>On 6/13/17, 00:45, "Rtg-dt-yang-arch on behalf of Jeff Tantsura"
><[email-masked] on behalf of [email-masked]> wrote:
>
>    Hi Acee,
>    
>    Thanks, will do.
>    
>    Regards,
>    Jeff
>    
>    >> sorry for the delay. I've checked the changes and the document as
>well as
>    >> both the modules seem fine to me now.
>    >> 
>    >> Regards,
>    >> Radek
>    >> 
>    >> 
>    >>> I believe I have addressed your YANG Doctor comments in the -05
>version
>    >>> of
>    >>> the draft. I used the template in RFC6087Bis, Appendix C which
>resulted
>    >>> in
>    >>>> - please follow the contact template available in RFC 6087
>Appendix B
>    >>>> (or
>    >>>> RFC6087bis, Appendix C)
>    >>>> 
>    >>>> draft text:
>    >>>> ietf-yang-types, it MUST contain reference to its RFC, which is
>RFC
>    >>>> 6991